QGIS Application - Bug report #422
Polygon holes connected by lines in Postscript/PDF
2006-12-05 10:42 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10481
Description

This was originaly reported by tutey@o2.pl in ticket
https://svn.qgis.org/trac/ticket/345#comment:21

No crashes anymore. But the eps output happens to be corrupted if it conatins polygons. Take the attached shapefile and compose a map
out of it (A4, portrait). In the left-top corner you'll see bogus line rendered (see the attached png dump; you can grab the whole eps from
here: http://kufaya.googlepages.com/qgis.eps.bz2). This is only an example, | can reproduce this bug with other polygon layers. It is

reproducable, though | can't find a pattern for it.

History

#1 - 2006-12-05 10:43 AM - Redmine Admin
- Resolution set to fixed
- Status changed from Open to Closed

| see the reason but no easy solution. The problem is that Qt (AFAIK) does not support rendering of polygons with holes. We use the trick when each hole
is connected 2 lines from the first vertex of the polygon. This works on screen but it seems it does not work in PS. PS has its own correct method how to
render polygons with holes but we cannot use it through Qt.

We could probably find for each hole a better outer polygon vertex so that the connection does not run outside the polygon but it can be CPU time

consuming in case of large polygons with many holes.
Radim

#2 - 2006-12-05 10:43 AM - Redmine Admin

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

#3 - 2006-12-05 02:53 PM - Martin Dobias

- Resolution set to fixed
- Status changed from Feedback to Closed

Fixed in commit:d520791¢ (SVN r6194) by using QPainterPath to draw polygons.

#4 - 2009-08-22 12:46 AM - Anonymous
Milestone Version 0.8 deleted
